ALTER TABLE cat_configuracion
   ADD COLUMN `print_hoffset` INT(4) DEFAULT '0' NULL AFTER `cashdrawer_unc`;
   
UPDATE cat_configuracion
SET cashdrawer_unc = '/dev/usb/lp0',
    print_hoffset = -10;



DELIMITER $$

DROP PROCEDURE IF EXISTS `stp_configuracion`$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `stp_configuracion`()
    SQL SECURITY INVOKER
    COMMENT 'Obtiene la información de configuración'
BEGIN
	SELECT cfg.id_sucursal,
		cfg.default_image,
		cfg.group_len,
		cfg.desglosa_total,
		cfg.cashdrawer_unc,
		cfg.url_existencias,
		cfg.url_sync_sucursales,
		cfg.url_sync_productos,
		cfg.url_sync_precios,
		cfg.url_sync_usuarios,
		cfg.url_sync_ventas,
		cfg.token,
		COALESCE(cfg.logo, '') AS logo,
		cfg.print_hoffset
	FROM cat_configuracion AS cfg;
END$$

DELIMITER ;



DELIMITER $$

DROP PROCEDURE IF EXISTS `stp_updateConfig`$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `stp_updateConfig`(
	in_desglosa_total INT,
	in_cashdrawer_unc TEXT,
	in_token VARCHAR(20),
	in_sucursal INT,
	in_offset INT
)
    COMMENT 'Guarda las opciones de configuración general'
BEGIN
	UPDATE cat_configuracion
	SET desglosa_total = in_desglosa_total,
		cashdrawer_unc = in_cashdrawer_unc,
		token = in_token,
		id_sucursal = in_sucursal,
		print_hoffset = in_offset;
END$$

DELIMITER ;